/* ========================================
 *
 *
 *
 * ========================================
*/

    
#include <project.h>            


#define RxBufferSize    128   //size of the Rx circular buffer
#define EOM_FF          0xFF  //terminator character (0xFF)

uint8 Rx_len;                 // received message length
    
    union TRxBuffer {
        uint8 RxStr[20];      // received Rx packet
        
        // event_ID + Page_ID + Component_ID + TouchEvent
        struct {              // anonimous structure
            uint8 Event;      // event ID
            uint8 Page;       // page ID
            uint8 cID;        // component ID
            uint8 UpDn ;      // press, release
            char valstr[16];  // command value           
        };
    } RB;

   
//=====================================
//        Function Prototypes 
//=====================================
   
CY_ISR_PROTO(MyRxInt);          // process Rx interrupt

uint8	IsCharReady(void);		// Returns TRUE when a Rx buffer is not empty
uint8	GetRxStr(void);			// Extract command string from buffer, non-blocking 


/* [] END OF FILE */
