/* ========================================
 *
 *
 *
 * ========================================
*/

#include <Nextion_Tx.h>
#include <stdio.h> // sprintf


const char term_str[] = {0xFF, 0xFF, 0xFF}; // Nextion message termination


//==============================================================================
// redraw edited line
//==============================================================================

void Update_Value(uint8 index) 
{ 
    char buf[20];   //LCD output buf
    char sid[10];   // string ID for Nextion component
    
    //BlinkLED1();              // debug..
    
    // prefix->
    // lookup table 'Menu index' -> 'Nextion Component ID' 
    switch (index) {
    case 0: strcpy( sid, "t0.txt" );
        break;
    case 1: strcpy( sid, "t1.txt" );
        break;
    case 2: strcpy( sid, "t2.txt" );
        break;
    case 3: strcpy( sid, "t3.txt" );
        break;
    //default: {};
    }
 
    // format control message for Nextion components
    if (Menu[index].type==_int)
        sprintf(buf, "%s=\"%d\"", sid, (int) Menu[index].value );   // int16
    else
    if (Menu[index].type==_float) 
        sprintf(buf, "%s=\"%.3f\"", sid, Menu[index].value );       // float (program hangs w/o '.3' specifier)
    else
    if (Menu[index].type==_enum) 
        //sprintf(buf, "%s=\"%s\"", sid, enum_txt[ (uint8) Menu[index].value ] ); // enumerated
        sprintf(buf, "%s=\"%s\"", sid, enum_txt[ (int) Menu[index].value ] ); // enumerated

    UART_1_PutString(buf);  // update data field in Nextion
    UART_1_PutString(term_str);
    
    UART_2_PutString(buf);  // copy to debug terminal
    UART_2_PutCRLF(0);            
}

//==============================================================================
// refresh Nextion components
//==============================================================================
    
void Update_Menu() 
{     
    uint8 i;
    for (i=0; i<MENU_LEN; i++) {
        Update_Value(i);
    }    

    UART_2_PutCRLF(0);
}


/* [] END OF FILE */
