/* ========================================
 *
 *
 *
 * ========================================
*/


#include <project.h>
#include <USBUART.h>

//==============================================================================
// Initialize USBUART 
// 
//==============================================================================
 
void  USBUART_Init()
{
    USBUART_1_Start(0u, USBUART_1_5V_OPERATION);//3v-ok, 5V-ok // Start USBFS Operation
        
    USBUART_Check_CDC_Init();                   // check if USBUART initialized  
    while(USBUART_1_GetConfiguration() != 0u);  // Wait for USB CDC when device configured
    while(USBUART_1_CDCIsReady() == 0u);        // Wait till component is ready to send more data to the PC 

}

//==============================================================================
// USBUART initialization function
// initialization has to be in the loop to be able to connect at any time
//==============================================================================
 
void  USBUART_Check_CDC_Init()
{
    if(USBUART_1_IsConfigurationChanged() != 0u) // Host could send double SET_INTERFACE request
    {    
        if(USBUART_1_GetConfiguration() != 0u)  // Init IN endpoints when device configured
        {
            USBUART_1_CDC_Init();               // Enumeration is done, enable OUT endpoint for receive data from Host
        }
    } 

}

/* [] END OF FILE */
